Package Details: python-numpy-stl 2.16.0-2

Git Clone URL: https://aur.archlinux.org/python-numpy-stl.git (read-only, click to copy)
Package Base: python-numpy-stl
Description: Library to make working with STL files (and 3D objects in general) fast and easy
Upstream URL: https://github.com/WoLpH/numpy-stl/
Licenses: BSD
Submitter: maikoool
Maintainer: bcb
Last Packager: bcb
Votes: 2
Popularity: 0.000000
First Submitted: 2017-07-23 00:07
Last Updated: 2021-03-28 07:43

Latest Comments

bcb commented on 2021-03-06 08:59

@tjkopena -- thanks for the report. IThe original numpy-stl-v2.15.1.tar.gz file I have locally has the old checksum, but newly downloaded ones have the new one you reported. Comparing the file lists of the two it looks like the upstream tag for 2.15.1 was changed instead of a new release being made as there are some changed files.

Anyway, I've updated the PKGBUILD so hopefully it works now.

tjkopena commented on 2021-02-27 12:34

If you receive an error like this:

==> Validating source files with sha256sums...
    numpy-stl-v2.15.1.tar.gz ... FAILED
==> ERROR: One or more files did not pass the validity check!
The build failed.

Then update the associated SHA256 sum in the PKGBUILD. At the moment it should be:

ab64a7a06c28bd47a1db1768cb2b1b486b383d5e07daad6e3ee555ab22485419

maikoool commented on 2020-12-06 16:25

I haven't used this package in ages, and don't have the spare time to keep maintaining this. Disowning.

anadon commented on 2020-02-04 02:44

I'm getting a build failure with the following. It looks like dependencies on pip and wheel are missing.

[anadon@doge ~]$ pip
bash: pip: command not found
[anadon@doge ~]$ python3 -m pip
/usr/bin/python3: No module named pip.__main__; 'pip' is a package and cannot be directly executed
[anadon@doge ~]$ python3 -m wheel
/usr/bin/python3: No module named wheel
==> Making package: python-numpy-stl 2.10.1-1 (Mon 03 Feb 2020 09:29:53 PM EST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Removing existing $pkgdir/ directory...
==> Entering fakeroot environment...
==> Starting package()...
Compiling stl/_speedups.pyx because it changed.
[1/1] Cythonizing stl/_speedups.pyx
/usr/lib/python3.8/site-packages/Cython/Compiler/Main.py:369: FutureWarning: Cython directive 'language_level' not set, using 2 for now (Py2). This will change in a later release! File: /home/anadon/.cache/yay/python-numpy-stl/src/numpy-stl-2.10.1/stl/_speedups.pyx
  tree = Parsing.p_module(s, pxd, full_module_name)
WARNING: The wheel package is not available.
/usr/bin/python: No module named pip.__main__; 'pip' is a package and cannot be directly executed
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/setuptools/installer.py", line 128, in fetch_build_egg
    subprocess.check_call(cmd)
  File "/usr/lib/python3.8/subprocess.py", line 364, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpd8d_6q3k', '--quiet', 'pytest-runner']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "setup.py", line 93, in <module>
    setup(
  File "/usr/lib/python3.8/site-packages/setuptools/__init__.py", line 144, in setup
    _install_setup_requires(attrs)
  File "/usr/lib/python3.8/site-packages/setuptools/__init__.py", line 139, in _install_setup_requires
    dist.fetch_build_eggs(dist.setup_requires)
  File "/usr/lib/python3.8/site-packages/setuptools/dist.py", line 718, in fetch_build_eggs
    resolved_dists = pkg_resources.working_set.resolve(
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 780, in resolve
    dist = best[req.key] = env.best_match(
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 1065, in best_match
    return self.obtain(req, installer)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 1077, in obtain
    return installer(requirement)
  File "/usr/lib/python3.8/site-packages/setuptools/dist.py", line 777, in fetch_build_egg
    return fetch_build_egg(self, req)
  File "/usr/lib/python3.8/site-packages/setuptools/installer.py", line 130, in fetch_build_egg
    raise DistutilsError(str(e))
distutils.errors.DistutilsError: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpd8d_6q3k', '--quiet', 'pytest-runner']' returned non-zero exit status 1.
==> ERROR: A failure occurred in package().
    Aborting...
Error making: python-numpy-stl

eimis commented on 2018-03-14 19:31

Please add python-pytest-runner as build dep